Package io.dapr.v1

# Class DaprGrpc.DaprImplBase

java.lang.Object
io.dapr.v1.DaprGrpc.DaprImplBase

All Implemented Interfaces:
  `io.grpc.BindableService`

Enclosing class:
  DaprGrpc

    public abstract static class DaprGrpc.DaprImplBase
    extends java.lang.Object
    implements io.grpc.BindableService

     Dapr service provides APIs to user application to access Dapr building blocks.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DaprImplBase()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `io.grpc.ServerServiceDefinition` | `bindService()` |
  `void` | `deleteState​(DaprProtos.DeleteStateRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)` | Deletes the state for a specific key.
  `void` | `getSecret​(DaprProtos.GetSecretRequest request, io.grpc.stub.StreamObserver<DaprProtos.GetSecretResponse> responseObserver)` | Gets secrets from secret stores.
  `void` | `getState​(DaprProtos.GetStateRequest request, io.grpc.stub.StreamObserver<DaprProtos.GetStateResponse> responseObserver)` | Gets the state for a specific key.
  `void` | `invokeBinding​(DaprProtos.InvokeBindingRequest request, io.grpc.stub.StreamObserver<DaprProtos.InvokeBindingResponse> responseObserver)` | Invokes binding data to specific output bindings
  `void` | `invokeService​(DaprProtos.InvokeServiceRequest request, io.grpc.stub.StreamObserver<CommonProtos.InvokeResponse> responseObserver)` | Invokes a method on a remote Dapr app.
  `void` | `publishEvent​(DaprProtos.PublishEventRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)` | Publishes events to the specific topic.
  `void` | `saveState​(DaprProtos.SaveStateRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)` | Saves the state for a specific key.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DaprImplBase

    public DaprImplBase()

- ## Method Details

  - ### invokeService

    public void invokeService​(DaprProtos.InvokeServiceRequest request, io.grpc.stub.StreamObserver<CommonProtos.InvokeResponse> responseObserver)

         Invokes a method on a remote Dapr app.

  - ### getState

    public void getState​(DaprProtos.GetStateRequest request, io.grpc.stub.StreamObserver<DaprProtos.GetStateResponse> responseObserver)

         Gets the state for a specific key.

  - ### saveState

    public void saveState​(DaprProtos.SaveStateRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Saves the state for a specific key.

  - ### deleteState

    public void deleteState​(DaprProtos.DeleteStateRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Deletes the state for a specific key.

  - ### publishEvent

    public void publishEvent​(DaprProtos.PublishEventRequest request, io.grpc.stub.StreamObserver<com.google.protobuf.Empty> responseObserver)

         Publishes events to the specific topic.

  - ### invokeBinding

    public void invokeBinding​(DaprProtos.InvokeBindingRequest request, io.grpc.stub.StreamObserver<DaprProtos.InvokeBindingResponse> responseObserver)

         Invokes binding data to specific output bindings

  - ### getSecret

    public void getSecret​(DaprProtos.GetSecretRequest request, io.grpc.stub.StreamObserver<DaprProtos.GetSecretResponse> responseObserver)

         Gets secrets from secret stores.

  - ### bindService

    public final io.grpc.ServerServiceDefinition bindService()
    Specified by:
      `bindService` in interface `io.grpc.BindableService`